<?php
//Connection statement
require_once('Connections/conn_catalog.php');

//Aditional Functions
require_once('includes/functions.inc.php');

// begin Recordset
$maxRows_rsProducts = 10;
$pageNum_rsProducts = 0;
if (isset($_GET['pageNum_rsProducts'])) {
  $pageNum_rsProducts = $_GET['pageNum_rsProducts'];
}
$startRow_rsProducts = $pageNum_rsProducts * $maxRows_rsProducts;
$query_rsProducts = "SELECT name_prd, price_prd FROM product_prd ORDER BY name_prd ASC";
$rsProducts = $conn_catalog->SelectLimit($query_rsProducts, $maxRows_rsProducts, $startRow_rsProducts) or die($conn_catalog->ErrorMsg());
if (isset($_GET['totalRows_rsProducts'])) {
  $totalRows_rsProducts = $_GET['totalRows_rsProducts'];
} else {
  $all_rsProducts = $conn_catalog->SelectLimit($query_rsProducts) or die($conn_catalog->ErrorMsg());
  $totalRows_rsProducts = $all_rsProducts->RecordCount();
}
$totalPages_rsProducts = (int)(($totalRows_rsProducts-1)/$maxRows_rsProducts);
// end Recordset

// rebuild the query string by replacing pageNum and totalRows with the new values
$queryString_rsProducts = KT_removeParam("&" . @$_SERVER['QUERY_STRING'], "pageNum_rsProducts");
$queryString_rsProducts = KT_replaceParam($queryString_rsProducts, "totalRows_rsProducts", $totalRows_rsProducts);
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<?php //PHP ADODB document - made with PHAkt 3.5.1?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Untitled Document</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body>
<p>&nbsp;</p>

<table border="0" width="50%" align="center">
  <tr>
    <td width="23%" align="center"><?php if ($pageNum_rsProducts > 0) { // Show if not first page ?>
          <a href="<?php printf("%s?pageNum_rsProducts=%d%s", $_SERVER["PHP_SELF"], 0, $queryString_rsProducts); ?>">First</a>
          <?php } // Show if not first page ?></td>
    <td width="31%" align="center"><?php if ($pageNum_rsProducts > 0) { // Show if not first page ?>
          <a href="<?php printf("%s?pageNum_rsProducts=%d%s", $_SERVER["PHP_SELF"], max(0, $pageNum_rsProducts - 1), $queryString_rsProducts); ?>">Previous</a>
          <?php } // Show if not first page ?></td>
    <td width="23%" align="center"><?php if ($pageNum_rsProducts < $totalPages_rsProducts) { // Show if not last page ?>
          <a href="<?php printf("%s?pageNum_rsProducts=%d%s", $_SERVER["PHP_SELF"], min($totalPages_rsProducts, $pageNum_rsProducts + 1), $queryString_rsProducts); ?>">Next</a>
          <?php } // Show if not last page ?></td>
    <td width="23%" align="center"><?php if ($pageNum_rsProducts < $totalPages_rsProducts) { // Show if not last page ?>
          <a href="<?php printf("%s?pageNum_rsProducts=%d%s", $_SERVER["PHP_SELF"], $totalPages_rsProducts, $queryString_rsProducts); ?>">Last</a>
          <?php } // Show if not last page ?></td>
  </tr>
</table>
<table  border="1">
  <tr>
    <th>Product</th>
    <th>Price</th>
  </tr>
  <?php
  while (!$rsProducts->EOF) {
?>
  <tr>
    <td><?php echo $rsProducts->Fields('name_prd'); ?></td>
    <td><?php echo $rsProducts->Fields('price_prd'); ?></td>
  </tr>
  <?php
    $rsProducts->MoveNext(); 
  }
?>
</table>
</body>
</html>
<?php
$rsProducts->Close();
?>
